
Redmine - Defect #35242

Journals are not returned via API

2021-05-15 00:44 - Alberto Sinigaglia

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.2.2

Description

Hi,

I was reading your documentation (Rest_Issues) that says on the "GET /issues.[format]" under includes:

for full list see below

So I suppose the list is the one on the endpoint "GET /issues/[id].[format]", and so it includes "journals".

However, when I send a request to https://support.xxx.com/redmine/issues.json?key=####&include=journals,attachments&limit=100

I can see the "attachments" field, but not the "journals" field... what's going on?

Related issues:

Related to Redmine - Patch #12746: Add include=journals support to issues RES... New

History

#1 - 2021-05-15 00:48 - Alberto Sinigaglia

the version is 3.4+

#2 - 2021-05-17 23:06 - Holger Just

- Related to Patch #12746: Add include=journals support to issues REST api added

#3 - 2021-05-17 23:06 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

The include=journals parameter is only considered for single issues, e.g. /issues/123.json?include=journals.

We currently do not support to include the full journals in the issue list. If we would support this, this might result in incredibly long render or query

times which might thus degrade the service for all users. See #12746 for a previous discussion of this.

#4 - 2021-05-23 07:20 - Mischa The Evil

- Description updated

FWIW: I've adjusted Rest_Issues to remove the ambiguity in the documentation.
